package com.siginfo.dao;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.apache.ibatis.session.SqlSession;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

@Repository
public class AdminDao {
	@Autowired
	@Resource(name="sqlSessionTemplate_admin")
	private SqlSession query;
	
	public List<Map<String,Object>> list(Map<String, Object> paramMap) throws Exception {
		 return query.selectList(paramMap.get("queryId").toString(),paramMap);
	}
	
	public String selectOne(Map<String, Object> paramMap) throws Exception {
		 return query.selectOne(paramMap.get("queryId").toString(),paramMap);
	}
	
	public void update(Map<String, Object> paramMap) throws Exception {
		query.update(paramMap.get("queryId").toString(),paramMap);
	}
}